spring:
  datasource:
    driver-class-name: com.microsoft.sqlserver.jdbc.SQLServerDriver
    url: jdbc:sqlserver://127.0.0.1:1433;databaseName=TEST90;useUnicode=true;characterEncoding=utf-8
    username: sa
    password: Free1100!
    type: com.alibaba.druid.pool.DruidDataSource


#shr接口地址
api:
  shr:
    address: https://gtiit.test.kdeascloud.com/shr
    #考勤打卡
    transmitPunchCardRecord: transmitPunchCardRecord
    #部门组织
    inteOAGetAdminOrgDataService: GtiitOAGetAdminOrgDataService
    #岗位
    inteOAGetPositionDataService: GtiitPositionService
    #OA员工
    synPersonService: synPersonService
    #AD人员
    synADService: synADService
    #本地备份员工相关信息
    gtiitLocalPersonOsfService: GtiitLocalPersonOsfService
    #本地备份部门信息
    gtiitOrgAdminService: GtiitOrgAdminService
    #本地备份职位信息
    gtiitOrgPositionService: GtiitOrgPositionService
    #本地备份员工任职历史记录信息
    gtiitEmpOrgRelationService: GtiitEmpOrgRelationService
    #本地备份职务
    gtiitLocalJobOsfService: GtiitLocalJobOsfService

  #打卡接口地址相关
  attendance:
    tokenUrl: http://10.180.24.15:8021/token/
    username: kingdee_user
    password: ENC(AmRXBwZ+y4gu4yUe6q4X3tEYhlULNAHp)
    attnumber: http://10.180.24.15:8021/tokingdeehrapi/attendance/
  #OA接口地址相关
  oa:
    url: https://sites.gtiit.edu.cn/oatst
    appid: 4c147e7c-721a-11ee-b962-0242ac120002
    subcompanycode: Test
    #控制岗位名称字段是否加部门简称 为true时需要加 为false不需要加
    IsJobTitlePrefixed: true
    #人员状态映射 key为SHR端的状态 value为OA端的状态
    statusmap: '{"On Probation":"试用","Employee":"正式","Permanent Employee":"正式","Temporary Worker":"临时",
    "试用延期":"试用延期","Dismiss":"解聘","Termination":"解聘","Dimission":"离职","Resignation":"离职","Retirement":"退休","无效":"无效"}'
    new:
      #e10系统OA相关
      url: https://sites.gtiit.edu.cn/oatest
      app_key: b9693deee1dba5f70134e81161d7b31
      app_secret: 550856d7234a759b333a93aeb09739d3
      grant_type: authorization_code
      corpid: 4bfaa311d6ac47f4822020e1ff3f2bf8
      response_type: code


  #AD域服务器地址相关
  ad:
    address: ldap://192.168.27.125:389
    username: uat.kingdee@uat-gt.local
    password: Gtiit@2025
    root: OU=ERPUsers,OU=Staff,OU=Users,OU=GTIIT,DC=uat-gt,DC=local  # 统一域名
    top: OU=Users,OU=GTIIT,DC=uat-gt,DC=local  # 与root一致
    userPassword: Gtiit@2025


#定时任务配置
scheduled:
  #考勤打卡 每天凌晨00:00:10和05:00:10 able为1是可用  2是禁用
  attendance:
    cron: 10 0 0,5 * * ?
    able: 1
  #OA岗位 每天凌晨03:30:10和04:30:10  able为1是可用  2是禁用
  position:
    cron: 10 30 3,4 * * ?
    able: 2
    new:
      able: 1
  #OA组织  每天凌晨01:30:10和02:30:10 able为1是可用  2是禁用
  org:
    cron: 10 30 1,2 * * ?
    able: 2
    new:
      able: 1
  #OA员工  通过定时任务每天 8点、13点、18点 执行 进行同步 able为1是可用  2是禁用
  person:
    cron: 0 0 8,13,18 * * ?
    able: 2
    new:
      able: 1
  #AD用户 通过定时任务每天 8点、13点、18点 执行 进行同步 able为1是可用  2是禁用
  ad:
    person:
      cron: 0 0 8,13,18 * * ?
      able: 1
  #本地备份
  local:
    #员工基本信息
    person:
      cron: 10 45 0 * * ?
      able: 1
    #职务
    job:
      cron: 10 35 0 * * ?
      able: 1
    #部门
    dept:
      cron: 10 15 0 * * ?
      able: 1
    #职位
    position:
      cron: 10 25 0 * * ?
      able: 1
    #员工历史记录
    personOffice:
      cron: 10 55 0 * * ?
      able: 1